HyperTerminal

HyperTerminal is a program that you can use to connect to other computers, Telnet sites, bulletin board systems (BBSs), online services, and host computers, using either your modem or a null modem cable:

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


How To

Microsoft Windows graphic

How to...

  • Set up a new connection
  • Change redial settings
  • Change the modem's port settings
  • Change the settings for making a call
  • Use a saved connection to call a remote computer
  • Send a file to a remote computer
  • Wait for or stop waiting for a call using HyperTerminal
  • Receive a file from a remote computer
  • Test a modem using HyperTerminal
  • Save incoming data to a text file
  • Change the backscroll buffer size
  • Change the number of rows and columns
  • Stop using HyperTerminal as your telnet client


Set up a new connection

To set up a new connection

Using the Windows interface

  1. Open HyperTerminal.
  2. On the File menu, click New Connection.
  3. In the Name box, type a name that describes the connection.
  4. In the Icon box, click the appropriate icon, and then click OK.
  5. In the Connect To dialog box, choose which port or modem you want to use in the Connect using drop down box.
  6. If you are connecting with a modem, enter the information for the phone number you want to dial, or if you are connecting via TCP/IP (Winsock), enter the host address and port number, and then click OK.
  7. If you are using a modem and want to change your dialing properties, click Dialing Properties, make the appropriate changes, and then click OK.
  8. If you are using a modem, to dial the call click Dial.

Notes

  • XOX

Using a command line

  1. Open Command Prompt.
  2. On the volume where the operating system is installed, type: cd Program Files\Windows NT and then press ENTER.
  3. Type:

    hypertrm.exe/t <telnet address>[:<port>]

Value | Description
telnet address | The address of the connection you want to create
port | The number (23 by default) of the port that you want the connection to use

Notes

  • XOX

Related Topics


Change redial settings

To change redial settings

  1. Open HyperTerminal.
  2. On the File menu, click Properties and click the Connect To tab.
  3. Select or clear the Redial on busy check box depending on what you want to do.

Notes

  • XOX


Change the modem's port settings

To change the modem's port settings

  1. Open HyperTerminal.
  2. On the File menu, click Properties.
  3. On the Connect To tab, click Configure.
  4. Make your changes on the General and Advanced tabs. Click OK, and click OK again.

Notes

  • XOX
  • This procedure applies only to connections using a modem or COM port.
  • The changes that you make to the port settings affect only this connection.
  • The port settings for your modem are automatically set when you install the modem, and you typically do not need to change these settings. However, you can modify port settings for a connection with special requirements. For example, a server you connect to might require that you disable data compression or reduce the port speed. To get Help for an item in the Modem Connection Preference dialog box, right-click the item, and then click What's This?.


Change the settings for making a call

To change the settings for making a call

  1. Open HyperTerminal.
  2. On the File menu, click Properties.
  3. Click the Connect To and Settings tabs to see the available choices, and make the appropriate changes.

Notes

  • XOX


Use a saved connection to call a remote computer

To use a saved connection to call a remote computer

  1. Open HyperTerminal.
  2. On the File menu, click Open.
  3. In the File name box, type or select the name of the connection you want to use.
  4. Click Open, and then click Dial.

Note

  • XOX
  • HyperTerminal connections are saved using the .ht extension. By default the connections are saved in the Documents and Settings\user name\Start Menu\Programs\Accessories\Communications\HyperTerminal folder.


Send a file to a remote computer

To send a file to a remote computer

  1. Open HyperTerminal.
  2. On the Transfer menu, click Send File or Send Text File, depending on the type of file you want to send.
  3. In the Filename box, type the path and name of the file you want to send.
  4. In the Protocol list, click the protocol your computer is using to send the file.
  5. Click Send.

Notes

  • XOX
  • You must have an active HyperTerminal session connected prior to performing this procedure.
  • In most cases, you need to configure the file-transfer software on the remote computer so that it receives the file correctly. For more information, contact the administrator of the remote computer.


Wait for or stop waiting for a call using HyperTerminal

To wait for or stop waiting for a call using HyperTerminal

  1. Open HyperTerminal.
  2. On the Call menu, click Wait for a Call or Stop Waiting, depending on what you want to do.

Notes

  • XOX
  • HyperTerminal does not automatically host calls when unattended, so you will need to manually interact with the user who is calling you.
  • When you disconnect from a call, you must always follow this procedure again in order to wait for another call.


Receive a file from a remote computer

To receive a file from a remote computer

  1. Use the remote computer's modem file transfer software to send the file to your computer.
  2. Open HyperTerminal.
  3. On the Transfer menu on your computer, click Receive File.
  4. In the Place received file in the following folder box, type the path of the folder in which you want to save the downloaded file.
  5. In the Use receiving protocol list, click the protocol that the remote computer is using to send the file, and then click Receive.

Notes

  • XOX
  • You must have an active HyperTerminal session connected prior to performing this procedure.
  • If the remote computer is transferring data using the Zmodem protocol, you do not need to perform this procedure because the Zmodem protocol causes HyperTerminal to receive the file automatically.


Test a modem using HyperTerminal

To test a modem using HyperTerminal

  1. Open HyperTerminal.
  2. On the File menu, click Properties.
  3. On the Connect To tab, select the modem that you want to test in the Connect using box and click OK.
  4. On the File menu, click New Connection.
  5. In the Connection Description dialog box, click Cancel.
  6. In the HyperTerminal window, type ate1, and then press ENTER.

    If your modem is functioning properly, OK or 0 should appear in the HyperTerminal window.

    If either OK or 0 does not appear in the HyperTerminal window after performing the test on your modem, your modem is not functioning properly. Consult the Troubleshooting Modems, or call the modem manufacturer for assistance.

Notes

  • XOX
  • Depending on your computer's settings, you may not see the characters ate1 as you type them.


Save incoming data to a text file

To save incoming data to a text file

  1. Open HyperTerminal.
  2. On the Transfer menu, click Capture Text or, to send the text file directly to a printer, click Capture to Printer.
  3. In the File box, type a descriptive name for the file, and then click Start.

Notes

  • XOX
  • When saving incoming data to a text file or sending the data to a printer, HyperTerminal will capture all data transmitted during the connection session. You cannot use HyperTerminal to filter the data.


Change the backscroll buffer size

To change the backscroll buffer size

  1. Open HyperTerminal.
  2. On the File menu, click Properties, and click the Settings tab.
  3. In the Backscroll buffer lines box, type the number of communication text lines that you want saved in addition to what is displayed on the screen, and then click OK.

Notes

  • XOX
  • The maximum backscroll buffer value is 500 lines.


Change the number of rows and columns

Microsoft Windows Graphic

To change the number of rows and columns

  1. Open HyperTerminal.
  2. On the File menu, click Properties.
  3. Click the Settings tab. In the Emulation drop down box, choose either VT100 or VT100J.
  4. Click the Terminal Setup button and change the settings as appropriate. Click OK, and click OK again.

Notes

  • XOX
  • This procedure is valid only when emulating a VT100 or VT100J terminal.


Stop using HyperTerminal as your telnet client

Microsoft Windows Graphic

To stop using HyperTerminal as your telnet client

  1. Open My Computer.
  2. Click the Tools menu, and click Folder Options.
  3. On the File Types tab, scroll down the list of file types to URL: Telnet Protocol.
  4. Click URL:Telnet Protocol, and then click Advanced.
  5. In the Actions box, click Open and then click Edit.
  6. Delete the contents of the Application used to perform action field, and type:

    rundll32.exe url.dll,TelnetProtocolHandler %l

  7. Close these dialog boxes by clicking OK to save your settings.

Note

  • XOX


Concepts

This section provides general background information about HyperTerminal:

  • HyperTerminal overview
  • Understanding HyperTerminal


HyperTerminal overview

HyperTerminal is a program that you can use to connect to other computers, Telnet sites, bulletin board systems (BBSs), online services, and host computers, using either your modem, a null modem cable or Ethernet connection.

Though using HyperTerminal with a BBS to access information on remote computers is a practice that has become less common with the availability of the World Wide Web, HyperTerminal is still a useful means of configuring and testing your modem or examining your connection with other sites. For more information, see Set up a new connection.

HyperTerminal records the messages passed to and from the computer or service on the other end of your connection. Therefore, it can serve as a valuable troubleshooting tool when setting up and using your modem. To make sure that your modem is connected properly or to view your modem's settings, you can send commands through HyperTerminal and check the results. HyperTerminal has scroll functionality that allows you to look at received text that has scrolled off the screen.

You can use HyperTerminal to transfer large files from a computer onto your portable computer using a serial port rather than going through the process of setting your portable computer up on a network. For more information, see Send a file to a remote computer.

You can use HyperTerminal to help debug source code from a remote terminal. You can also use HyperTerminal to communicate with older character-based computers.

HyperTerminal is designed to be an easy-to-use tool and not meant to replace other full feature tools available on the market. You can use HyperTerminal to perform the specific tasks described above, but you should not attempt to use HyperTerminal for more complex communication needs. For more information on what HyperTerminal does and does not support, see the HyperTerminal frequently asked questions list at the Hilgraeve Web Site

XOX


Understanding HyperTerminal

This section covers:

  • Understanding HyperTerminal connections
  • Understanding HyperTerminal file transfers


Understanding HyperTerminal connections

You can create and save multiple connections within HyperTerminal. Each connection can have its own unique configuration, including phone number and port settings such as bits per second (bps) and parity checks.

As part of the connection configuration, HyperTerminal also allows your computer to emulate a variety of terminal types, such as TTY terminals.

The connection that is currently open within HyperTerminal is displayed on the HyperTerminal window's title bar.

You can only have one connection open per each HyperTerminal session. You can, however, start multiple HyperTerminal sessions, opening a new connection for each session, provided each connection uses a different communication port. To set up a new connection, see Set up a new connection.

When you first open HyperTerminal, you will be prompted to decide if you want HyperTerminal to be your default telnet client. You also will be able to choose not to see this dialog box again. If you choose to not see the dialog box again, but later do want to change your setting regarding using HyperTerminal as your default telnet client, see Troubleshooting.

HyperTerminal can not automatically provide your login ID and password when you make a connection.


Understanding HyperTerminal file transfers

You can use HyperTerminal to send and receive text and data files to a remote computer. The status of the transfer is displayed in the HyperTerminal window during the transfer. You can also capture the status of a transferred file and send the information directly to a printer. For more information, see To save a HyperTerminal session to a text file.

For information on sending a file, see To send a file to a remote computer. For information on receiving a file, see To receive a file from a remote computer .

You cannot change the size of the Hyperterminal window in order to view more or less text than what is currently displayed.


Troubleshooting

What problem are you having?

You want to use HyperTerminal as your default telnet application, but you are not prompted for that option when you open HyperTerminal

Cause: When the dialog box asking you whether to use HyperTerminal as your telnet default client first appeared, you responded No and selected Stop asking me this question

Solution: Open Registry Editor. In Registry Editor, navigate to the following registry key and change the value to 1:

HKEY_LOCAL_USER\Software\Microsoft\HyperTerminal\Telnet Check.

After you change this value, the next time you start HyperTerminal, the dialog box will appear and will ask you whether you want to have HyperTerminal as your default telnet application.

Notes

  • XOX

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer. You can also use the Last Known Good Configuration startup option if you encounter problems after manual changes have been applied.

The terminal screen size does not change when you maximize HyperTerminal to full screen

Cause: The HyperTerminal terminal screen size is determined by the font size that you are using. It will size itself to display 24 lines of 80 (or 132) characters of whatever font you have selected.

Solution: On the HyperTerminal View menu, select Font. If you want a larger terminal screen select a larger font size. If you want a smaller terminal screen, select a smaller font size.

Information you type is not appearing on the HyperTerminal terminal screen

Cause: The terminal screen displays the information sent from the remote computer, not information entered on your local computer. In order to view what you type, the remote computer must be configured to echo back your input. There also may be a time lag between when you type the information and when it is displayed on your terminal screen.

Solution: Ensure that you have a proper connection with the remote computer and ensure that the remote computer is configured to echo user input.

ANSI characters are not displaying properly

Cause: You are not using the Terminal font.

Solution: On the HyperTerminal View menu, select Font. Click Terminal and choose OK.

HyperTerminal does not redial when the line is busy

Cause: The Redial on busy option may not be selected

Solution: On the HyperTerminal File menu, select Properties. Select the Connect To tab and ensure that Redial on busy is selected.

After connecting to a remote computer, the terminal screen displays meaningless information

Cause: You have not selected the correct terminal emulation type.

Solution: On the HyperTerminal File menu, select Properties. Select the Settings tab. In the Emulation drop down box, choose the terminal type of the remote computer. If the remote computer's type is not listed in the drop down box, it is not supported by HyperTerminal.

You cannot delete characters from the terminal screen

Cause: The remote computer that you are connected to has control of the characters displayed on your terminal screen. The remote computer is expecting the cursor to be at particular positions on the screen based on the data that it has already sent to the screen. If you alter that screen locally, you potentially disrupt the interaction between you and the remote computer in ways that the host can not predict or control. Therefore, HyperTerminal does not allow you to delete characters from the screen

Solution: Not Applicable

You cannot use CTRL+V to paste data to the terminal screen

Cause: If you are set to Terminal Keys in the properties for this connection, pushing CTRL+V will send out the emulator escape sequence. Many hosts use CTRL+V to navigate through their systems.

Solution: You can change this setting to Windows Keys and CTRL+V will work properly. To do so, on the HyperTerminal File menu, click Properties. Click the Settings tab, and click the Windows Keys radio button.

Important

  • When using the Windows Keys setting, all function, arrow and control keys will be processed locally. Using the Terminal keys setting and then using the menus to paste is the recommended option.

For more information on these topics and other frequently asked questions, see the HyperTerminal frequently asked questions list at the Hilgraeve Web Site

XOX